#include "prbool.h"

struct N {
  struct Nested {
    typedef PRBool (*prboolFuncPointerType)(PRBool foo);
  };
};


struct Callback {
  N::Nested::prboolFuncPointerType fptr;
};

PRBool ain(Callback *callback) {
  return callback->fptr(2);
}
